Page MenuHomePhabricator

Civi 4.6 Can't import contributions with a utm_campaign
Closed, ResolvedPublic1 Story Points

Description

When we normalize a contribution, we set direct_mail_appeal to utm_campaign if utm_campaign is set and not one of a few special cases.

Importing a contribution now fails because most of our campaign names do not correspond to option values for direct_mail_appeal

Event Timeline

Ejegg created this task.Oct 30 2015, 1:19 AM
Ejegg raised the priority of this task from to Unbreak Now!.
Ejegg updated the task description. (Show Details)
Ejegg added a subscriber: Ejegg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 30 2015, 1:19 AM

Adam & I discussed this a bit & he thought it would be OK I think in that we would only want 'whitelisted' ones added. Do we just need to add a bunch of missing ones? Or is there more to it?

ie. we discussed the general change - custom fields not validating input from the api

Ejegg added a comment.Oct 30 2015, 1:27 AM

I think the 'whitelisted' thing makes sense. Looking into doing that in the normalization. Planning to stash all the d_m_a values, then only assign d_m_a if utm_campaign matches one of those.

Change 249943 had a related patch set uploaded (by Ejegg):
Only copy valid campaigns to appeal field

https://gerrit.wikimedia.org/r/249943

Change 249943 merged by Awight:
Only copy valid campaigns to appeal field

https://gerrit.wikimedia.org/r/249943

awight closed this task as Resolved.Oct 30 2015, 3:02 AM
awight claimed this task.
awight added a subscriber: awight.

Confirmed working.

Change 250490 had a related patch set uploaded (by Ejegg):
Only copy valid campaigns to appeal field

https://gerrit.wikimedia.org/r/250490

Change 250490 merged by Ejegg:
Only copy valid campaigns to appeal field

https://gerrit.wikimedia.org/r/250490

awight set Security to None.Nov 4 2015, 11:52 PM
awight edited a custom field.
mmodell removed a subscriber: awight.Jun 22 2017, 9:51 PM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptJun 22 2017, 9:51 PM